$(function ()
{
    var checkValue = 0;
    var firstValue = 0;
    var markers = 0;

    $(".figure").click(function () {
        if ($(this).hasClass("mark") === true) {
            $(this).removeClass("mark");
            checkValue = 0;
            firstValue = 0;
            markers =0;
        } else {
            if (markers === 0) {
                markers++;
                $(this).addClass("mark");
                checkValue += $(this).data('value');
                firstValue += $(this).data('value');
            } else {
                $(this).addClass("mark");
                checkValue -= $(this).data('value');
                check();
            }
        }
    });

    function check() {
        if (checkValue === 0) {
            $('#jplayer_well').jPlayer('play');
            $("div[data-value='" + firstValue + "']").removeClass("after");
            markers = 0;
            checkValue = 0;
            firstValue = 0;
        } else {
            $('#jplayer_wrong').jPlayer('play');
            $(".after").removeClass("mark");
            markers = 0;
            checkValue = 0;
            firstValue = 0;
        }
    }
});